## org.apache.bcel.generic
Class I2D

    java.lang.Object
      org.apache.bcel.generic.Instruction
          org.apache.bcel.generic.ConversionInstruction
              org.apache.bcel.generic.I2D

All Implemented Interfaces:
  Serializable, Cloneable, StackConsumer, StackProducer, TypedInstruction

    public class I2D

extends ConversionInstruction

I2D - Convert int to double

    Stack: ..., value -> ..., result.word1, result.word2

Version:
  $Id: I2D.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`I2D()` Convert int to double

Method Summary
`void` `accept(Visitor v)` Call corresponding visitor method(s).

Methods inherited from class org.apache.bcel.generic.ConversionInstruction
`getType`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, dump, equals, getComparator, getLength, getName, getOpcode, initFromFile, produceStack, readInstruction, setComparator, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Methods inherited from interface org.apache.bcel.generic.StackConsumer
`consumeStack`

Constructor Detail

### I2D

    public I2D()

  Convert int to double

Method Detail

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.